// 查看等级
// pages/salesmanLevel/salesmanLevel.js
var http = require("../../utils/http.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    levelInfo: [],  //等级
    clickLevel: 0,   // 用户点击的等级
    levelName: '',  // 用户当前等级名称
    level: 0 // 用户当前等级
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getLevelInfo()
    // this.setData ({
    //   currentLev: this.data.currentLevel
    // })
    // console.log(this.data.currentLev)
    // console.log(this.data.currentLevel)
  },


  /**
   * 查看等级
   */
  getLevelInfo: function () {
    wx.showLoading()
    var params = {
      url: '/p/distribution/level/page',
      method: 'GET',
      data: {},
      callBack: (res) => {
        wx.hideLoading()
        this.setData({
          levelInfo: res,
        })
        if (res.length) {
          res.forEach(levelInfo => {
            if (levelInfo.isCurrentLevel) {
              this.setData({
                clickLevel: levelInfo.level - 1,
                level: levelInfo.level -1,
                levelName: levelInfo.name
              })
            }
          })
        }
      }
    };
    http.request(params)
  },


/**
 * 申请升级
 */
applicationUpgrade: function() {
  wx.showLoading()
  var params = {
    url: '/p/distribution/level/upgrade',
    method: 'POST',
    callBack: (res) => {
      console.log(res)
      wx.hideLoading()
      wx.showToast({
        title: '升级成功！',
        icon: 'none',
      })
      this.getLevelInfo()
    }
  };
  http.request(params)
},



  /**
   * 跳转到商品详情
   */
  toProdPage: function(e) {
    var prodid = e.currentTarget.dataset.prodid;
    if (prodid) {
      wx.navigateTo({
        url: '/pages/prod/prod?prodid=' + prodid,
      })
    }
  },


  /**
   * 点击切换当前等级规则
   */
  clinkLevel: function(e) {
    this.setData({
      clickLevel: e.currentTarget.dataset.index,
      currentColor: 'current-color',
      currentbg: 'current-bg'
    })
    console.log(e.currentTarget.dataset.index)
  },


  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})